* [gentoo-commits] repo/proj/guru:dev commit in: dev-python/hidapi/
@ 2020-08-03 14:51 Andrew Ammerlaan
2020-08-03 15:08 ` [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
0 siblings, 1 reply; 7+ messages in thread
From: Andrew Ammerlaan @ 2020-08-03 14:51 UTC (permalink / raw
To: gentoo-commits
commit: fcff0c19f686066886b3affb25c468433e18479d
Author: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Mon Aug 3 14:50:58 2020 +0000
Commit: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Mon Aug 3 14:50:58 2020 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=fcff0c19
dev-python/hidapi: add missing dep
Package-Manager: Portage-3.0.1, Repoman-2.3.23
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>
dev-python/hidapi/Manifest | 1 +
dev-python/hidapi/hidapi-0.9.0_p3.ebuild | 31 +++++++++++++++++++++++++++++++
dev-python/hidapi/metadata.xml | 6 ++++++
3 files changed, 38 insertions(+)
diff --git a/dev-python/hidapi/Manifest b/dev-python/hidapi/Manifest
new file mode 100644
index 0000000..190d920
--- /dev/null
+++ b/dev-python/hidapi/Manifest
@@ -0,0 +1 @@
+DIST hidapi-0.9.0.post3.tar.gz 57075 BLAKE2B 7c0c46faa359bf119875846680aadad94e65f5bdd225c11b4fd068cf4fb5b7fba1ed4983bc70610720d5b7ab8a2f7afd96726610309ff35cc5310a237ac117d8 SHA512 606540833459e615a8e50ff3a2c59362dab7d19d42d5e9dc2288c8c8d32e3df7214e758a9814e7de6d26bbdccd76ccf6c652b0bf8ac5b3f46124a9a7b007b971
diff --git a/dev-python/hidapi/hidapi-0.9.0_p3.ebuild b/dev-python/hidapi/hidapi-0.9.0_p3.ebuild
new file mode 100644
index 0000000..f34e5d5
--- /dev/null
+++ b/dev-python/hidapi/hidapi-0.9.0_p3.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8,9} )
+
+inherit distutils-r1
+
+MY_PV=${PV/_p/.post}
+
+DESCRIPTION="A Cython interface to the hidapi"
+HOMEPAGE="https://github.com/trezor/cython-hidapi"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${PN}-${MY_PV}.tar.gz"
+
+LICENSE="|| ( BSD GPL-3 )"
+KEYWORDS="~amd64 ~x86"
+SLOT="0"
+
+DEPEND="
+ dev-python/cython[${PYTHON_USEDEP}]
+ dev-libs/hidapi
+"
+
+S="${WORKDIR}/${PN}-${MY_PV}"
+
+distutils_enable_tests pytest
+
+python_test() {
+ pytest -vv tests.py || die "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/hidapi/metadata.xml b/dev-python/hidapi/metadata.xml
new file mode 100644
index 0000000..a0a60d7
--- /dev/null
+++ b/dev-python/hidapi/metadata.xml
@@ -0,0 +1,6 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+
+<pkgmetadata>
+ <!-- maintainer-needed -->
+</pkgmetadata>
^ permalink raw reply related [flat|nested] 7+ messages in thread
* [gentoo-commits] repo/proj/guru:master commit in: dev-python/hidapi/
2020-08-03 14:51 [gentoo-commits] repo/proj/guru:dev commit in: dev-python/hidapi/ Andrew Ammerlaan
@ 2020-08-03 15:08 ` Andrew Ammerlaan
0 siblings, 0 replies; 7+ messages in thread
From: Andrew Ammerlaan @ 2020-08-03 15:08 UTC (permalink / raw
To: gentoo-commits
commit: fcff0c19f686066886b3affb25c468433e18479d
Author: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Mon Aug 3 14:50:58 2020 +0000
Commit: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Mon Aug 3 14:50:58 2020 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=fcff0c19
dev-python/hidapi: add missing dep
Package-Manager: Portage-3.0.1, Repoman-2.3.23
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>
dev-python/hidapi/Manifest | 1 +
dev-python/hidapi/hidapi-0.9.0_p3.ebuild | 31 +++++++++++++++++++++++++++++++
dev-python/hidapi/metadata.xml | 6 ++++++
3 files changed, 38 insertions(+)
diff --git a/dev-python/hidapi/Manifest b/dev-python/hidapi/Manifest
new file mode 100644
index 0000000..190d920
--- /dev/null
+++ b/dev-python/hidapi/Manifest
@@ -0,0 +1 @@
+DIST hidapi-0.9.0.post3.tar.gz 57075 BLAKE2B 7c0c46faa359bf119875846680aadad94e65f5bdd225c11b4fd068cf4fb5b7fba1ed4983bc70610720d5b7ab8a2f7afd96726610309ff35cc5310a237ac117d8 SHA512 606540833459e615a8e50ff3a2c59362dab7d19d42d5e9dc2288c8c8d32e3df7214e758a9814e7de6d26bbdccd76ccf6c652b0bf8ac5b3f46124a9a7b007b971
diff --git a/dev-python/hidapi/hidapi-0.9.0_p3.ebuild b/dev-python/hidapi/hidapi-0.9.0_p3.ebuild
new file mode 100644
index 0000000..f34e5d5
--- /dev/null
+++ b/dev-python/hidapi/hidapi-0.9.0_p3.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8,9} )
+
+inherit distutils-r1
+
+MY_PV=${PV/_p/.post}
+
+DESCRIPTION="A Cython interface to the hidapi"
+HOMEPAGE="https://github.com/trezor/cython-hidapi"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${PN}-${MY_PV}.tar.gz"
+
+LICENSE="|| ( BSD GPL-3 )"
+KEYWORDS="~amd64 ~x86"
+SLOT="0"
+
+DEPEND="
+ dev-python/cython[${PYTHON_USEDEP}]
+ dev-libs/hidapi
+"
+
+S="${WORKDIR}/${PN}-${MY_PV}"
+
+distutils_enable_tests pytest
+
+python_test() {
+ pytest -vv tests.py || die "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/hidapi/metadata.xml b/dev-python/hidapi/metadata.xml
new file mode 100644
index 0000000..a0a60d7
--- /dev/null
+++ b/dev-python/hidapi/metadata.xml
@@ -0,0 +1,6 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+
+<pkgmetadata>
+ <!-- maintainer-needed -->
+</pkgmetadata>
^ permalink raw reply related [flat|nested] 7+ messages in thread
* [gentoo-commits] repo/proj/guru:master commit in: dev-python/hidapi/
@ 2020-12-09 14:14 Andrew Ammerlaan
0 siblings, 0 replies; 7+ messages in thread
From: Andrew Ammerlaan @ 2020-12-09 14:14 UTC (permalink / raw
To: gentoo-commits
commit: 48c2c0adacf6812e0f7347283136b9a2944aa2ff
Author: Theo Anderson <telans <AT> posteo <DOT> de>
AuthorDate: Wed Dec 9 04:26:53 2020 +0000
Commit: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Wed Dec 9 04:26:53 2020 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=48c2c0ad
dev-python/hidapi: maintain & bump
Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Theo Anderson <telans <AT> posteo.de>
dev-python/hidapi/Manifest | 1 +
dev-python/hidapi/hidapi-0.10.1.ebuild | 27 +++++++++++++++++++++++++++
dev-python/hidapi/metadata.xml | 6 ++++--
3 files changed, 32 insertions(+), 2 deletions(-)
diff --git a/dev-python/hidapi/Manifest b/dev-python/hidapi/Manifest
index 190d920a..d65fe2f8 100644
--- a/dev-python/hidapi/Manifest
+++ b/dev-python/hidapi/Manifest
@@ -1 +1,2 @@
+DIST hidapi-0.10.1.tar.gz 60712 BLAKE2B 9f66015f801a73ad520b303a011edbfecb6b2e79e4366b8e72cc15a4b509cd5744c4c5f9d710b120a44f10cab0c72edf6f679961979d7ad2581edf3238426609 SHA512 681e3691a4b05b13abc38d305c68e448728612442d0ef12ce54d12eeebee6e18d33566c462a276d18ce5e29fad208e6fcde49bbe4b162eae5cd72ce37dea880b
DIST hidapi-0.9.0.post3.tar.gz 57075 BLAKE2B 7c0c46faa359bf119875846680aadad94e65f5bdd225c11b4fd068cf4fb5b7fba1ed4983bc70610720d5b7ab8a2f7afd96726610309ff35cc5310a237ac117d8 SHA512 606540833459e615a8e50ff3a2c59362dab7d19d42d5e9dc2288c8c8d32e3df7214e758a9814e7de6d26bbdccd76ccf6c652b0bf8ac5b3f46124a9a7b007b971
diff --git a/dev-python/hidapi/hidapi-0.10.1.ebuild b/dev-python/hidapi/hidapi-0.10.1.ebuild
new file mode 100644
index 00000000..9d745109
--- /dev/null
+++ b/dev-python/hidapi/hidapi-0.10.1.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="A Cython interface to the hidapi"
+HOMEPAGE="https://github.com/trezor/cython-hidapi"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="|| ( BSD GPL-3 )"
+KEYWORDS="~amd64 ~x86"
+SLOT="0"
+
+DEPEND="
+ dev-python/cython[${PYTHON_USEDEP}]
+ dev-libs/hidapi
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ pytest -vv tests.py || die "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/hidapi/metadata.xml b/dev-python/hidapi/metadata.xml
index a0a60d71..d3ad614d 100644
--- a/dev-python/hidapi/metadata.xml
+++ b/dev-python/hidapi/metadata.xml
@@ -1,6 +1,8 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-
<pkgmetadata>
- <!-- maintainer-needed -->
+ <maintainer type="person">
+ <email>telans@posteo.de</email>
+ <name>Theo Anderson</name>
+ </maintainer>
</pkgmetadata>
^ permalink raw reply related [flat|nested] 7+ messages in thread
* [gentoo-commits] repo/proj/guru:master commit in: dev-python/hidapi/
@ 2021-12-08 11:38 Andrew Ammerlaan
0 siblings, 0 replies; 7+ messages in thread
From: Andrew Ammerlaan @ 2021-12-08 11:38 UTC (permalink / raw
To: gentoo-commits
commit: 4b31aac9529fbed5b57b2b03eac537f83eb6651b
Author: Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
AuthorDate: Mon Dec 6 13:10:14 2021 +0000
Commit: Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Mon Dec 6 13:10:14 2021 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=4b31aac9
dev-python/hidapi: disable pypy3
Closes: https://bugs.gentoo.org/825422
Signed-off-by: Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq.in>
dev-python/hidapi/hidapi-0.11.0.2.ebuild | 7 +++----
dev-python/hidapi/metadata.xml | 2 +-
2 files changed, 4 insertions(+), 5 deletions(-)
diff --git a/dev-python/hidapi/hidapi-0.11.0.2.ebuild b/dev-python/hidapi/hidapi-0.11.0.2.ebuild
index 20a0371e0..bf1ff4d13 100644
--- a/dev-python/hidapi/hidapi-0.11.0.2.ebuild
+++ b/dev-python/hidapi/hidapi-0.11.0.2.ebuild
@@ -3,14 +3,14 @@
EAPI=8
-PYTHON_COMPAT=( python3_{8..10} pypy3 )
-DISTUTILS_USE_SETUPTOOLS="rdepend"
+PYTHON_COMPAT=( python3_{8..10} )
inherit distutils-r1
+MY_PV=$(ver_rs 3 .post)
DESCRIPTION="A Cython interface to the hidapi"
HOMEPAGE="https://github.com/trezor/cython-hidapi"
-MY_PV=$(ver_rs 3 .post)
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${PN}-${MY_PV}.tar.gz"
+S="${WORKDIR}/${PN}-${MY_PV}"
LICENSE="|| ( BSD GPL-3 )"
KEYWORDS="~amd64 ~arm ~arm64 ~x86"
@@ -23,7 +23,6 @@ DEPEND="
RDEPEND="${DEPEND}"
distutils_enable_tests pytest
-S="${WORKDIR}/${PN}-${MY_PV}"
python_configure_all() {
DISTUTILS_ARGS=( --with-system-hidapi )
diff --git a/dev-python/hidapi/metadata.xml b/dev-python/hidapi/metadata.xml
index cd174bd3e..7f7f32772 100644
--- a/dev-python/hidapi/metadata.xml
+++ b/dev-python/hidapi/metadata.xml
@@ -1,5 +1,5 @@
<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>telans@posteo.de</email>
^ permalink raw reply related [flat|nested] 7+ messages in thread
* [gentoo-commits] repo/proj/guru:master commit in: dev-python/hidapi/
@ 2022-07-05 7:14 Florian Schmaus
0 siblings, 0 replies; 7+ messages in thread
From: Florian Schmaus @ 2022-07-05 7:14 UTC (permalink / raw
To: gentoo-commits
commit: b088bc43b76e71596cf5c692146c48a1e3e03255
Author: James Beddek <telans <AT> posteo <DOT> de>
AuthorDate: Mon Jul 4 11:50:45 2022 +0000
Commit: Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Mon Jul 4 11:50:45 2022 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=b088bc43
dev-python/hidapi: add 0.12.0.2
Signed-off-by: James Beddek <telans <AT> posteo.de>
dev-python/hidapi/Manifest | 1 +
dev-python/hidapi/hidapi-0.12.0.2.ebuild | 34 ++++++++++++++++++++++++++++++++
2 files changed, 35 insertions(+)
diff --git a/dev-python/hidapi/Manifest b/dev-python/hidapi/Manifest
index b43625462..5ff33b35e 100644
--- a/dev-python/hidapi/Manifest
+++ b/dev-python/hidapi/Manifest
@@ -1,2 +1,3 @@
DIST hidapi-0.10.1.tar.gz 60712 BLAKE2B 9f66015f801a73ad520b303a011edbfecb6b2e79e4366b8e72cc15a4b509cd5744c4c5f9d710b120a44f10cab0c72edf6f679961979d7ad2581edf3238426609 SHA512 681e3691a4b05b13abc38d305c68e448728612442d0ef12ce54d12eeebee6e18d33566c462a276d18ce5e29fad208e6fcde49bbe4b162eae5cd72ce37dea880b
DIST hidapi-0.11.0.post2.tar.gz 136467 BLAKE2B 9469817cf5a87d9367d9b1d57e9b3832fc83756fbe7ba314e266fc17a17a7f82efadbb73e8e4808a0eaef8ad6478675222b99488b1ffac7b9426eb951ee3e77b SHA512 5365299ef8488561a82d2a2c911523c5d34e260f8068b4d4d26e912b6e348b328229498f0ee38d1eb9c81a969e9f91ffc7a0b9a60359f4e9d0511f8937e5ff21
+DIST hidapi-0.12.0.post2.tar.gz 125008 BLAKE2B 6792d8a4bbd80da19b3dd1fde47061e3a0f00678059e36598da4a34142cbfe1e732854c2a372a869891be79e1131a7cef138913556159574f10b8b08439bfefe SHA512 dee9f1f07e4f297b935c8e3fbe798471f449f6a101d68131db23d24ccfb5ce445cc3b0e7305606d3630443a817aa75a27093109078735168a59d21614606f0a0
diff --git a/dev-python/hidapi/hidapi-0.12.0.2.ebuild b/dev-python/hidapi/hidapi-0.12.0.2.ebuild
new file mode 100644
index 000000000..800ba1896
--- /dev/null
+++ b/dev-python/hidapi/hidapi-0.12.0.2.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..11} )
+inherit distutils-r1
+
+MY_PV=$(ver_rs 3 .post)
+
+DESCRIPTION="A Cython interface to the hidapi"
+HOMEPAGE="https://github.com/trezor/cython-hidapi"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${PN}-${MY_PV}.tar.gz"
+S="${WORKDIR}/${PN}-${MY_PV}"
+
+LICENSE="|| ( BSD GPL-3 )"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+SLOT="0"
+
+DEPEND="
+ dev-python/cython[${PYTHON_USEDEP}]
+ dev-libs/hidapi
+"
+RDEPEND="${DEPEND}"
+
+distutils_enable_tests pytest
+
+python_configure_all() {
+ DISTUTILS_ARGS=( --with-system-hidapi )
+}
+
+python_test() {
+ epytest tests.py
+}
^ permalink raw reply related [flat|nested] 7+ messages in thread
* [gentoo-commits] repo/proj/guru:master commit in: dev-python/hidapi/
@ 2022-07-05 7:14 Florian Schmaus
0 siblings, 0 replies; 7+ messages in thread
From: Florian Schmaus @ 2022-07-05 7:14 UTC (permalink / raw
To: gentoo-commits
commit: a4fa010bbce0f85c5949b5ca5f9ba370d7dc1131
Author: James Beddek <telans <AT> posteo <DOT> de>
AuthorDate: Mon Jul 4 11:51:03 2022 +0000
Commit: Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Mon Jul 4 11:51:03 2022 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=a4fa010b
dev-python/hidapi: enable py3.11
Signed-off-by: James Beddek <telans <AT> posteo.de>
dev-python/hidapi/hidapi-0.11.0.2.ebuild | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/dev-python/hidapi/hidapi-0.11.0.2.ebuild b/dev-python/hidapi/hidapi-0.11.0.2.ebuild
index 2bbd2dfbf..54515d41b 100644
--- a/dev-python/hidapi/hidapi-0.11.0.2.ebuild
+++ b/dev-python/hidapi/hidapi-0.11.0.2.ebuild
@@ -3,7 +3,7 @@
EAPI=8
-PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_COMPAT=( python3_{8..11} )
DISTUTILS_USE_SETUPTOOLS="rdepend"
inherit distutils-r1
^ permalink raw reply related [flat|nested] 7+ messages in thread
* [gentoo-commits] repo/proj/guru:master commit in: dev-python/hidapi/
@ 2022-07-05 7:14 Florian Schmaus
0 siblings, 0 replies; 7+ messages in thread
From: Florian Schmaus @ 2022-07-05 7:14 UTC (permalink / raw
To: gentoo-commits
commit: 7a9c77494bae082d4de6704d5f52e0ebaf0ffd45
Author: James Beddek <telans <AT> posteo <DOT> de>
AuthorDate: Mon Jul 4 11:51:12 2022 +0000
Commit: Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Mon Jul 4 11:51:12 2022 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=7a9c7749
dev-python/hidapi: drop 0.10.1
Signed-off-by: James Beddek <telans <AT> posteo.de>
dev-python/hidapi/Manifest | 1 -
dev-python/hidapi/hidapi-0.10.1.ebuild | 31 -------------------------------
2 files changed, 32 deletions(-)
diff --git a/dev-python/hidapi/Manifest b/dev-python/hidapi/Manifest
index 5ff33b35e..9bf6df8a3 100644
--- a/dev-python/hidapi/Manifest
+++ b/dev-python/hidapi/Manifest
@@ -1,3 +1,2 @@
-DIST hidapi-0.10.1.tar.gz 60712 BLAKE2B 9f66015f801a73ad520b303a011edbfecb6b2e79e4366b8e72cc15a4b509cd5744c4c5f9d710b120a44f10cab0c72edf6f679961979d7ad2581edf3238426609 SHA512 681e3691a4b05b13abc38d305c68e448728612442d0ef12ce54d12eeebee6e18d33566c462a276d18ce5e29fad208e6fcde49bbe4b162eae5cd72ce37dea880b
DIST hidapi-0.11.0.post2.tar.gz 136467 BLAKE2B 9469817cf5a87d9367d9b1d57e9b3832fc83756fbe7ba314e266fc17a17a7f82efadbb73e8e4808a0eaef8ad6478675222b99488b1ffac7b9426eb951ee3e77b SHA512 5365299ef8488561a82d2a2c911523c5d34e260f8068b4d4d26e912b6e348b328229498f0ee38d1eb9c81a969e9f91ffc7a0b9a60359f4e9d0511f8937e5ff21
DIST hidapi-0.12.0.post2.tar.gz 125008 BLAKE2B 6792d8a4bbd80da19b3dd1fde47061e3a0f00678059e36598da4a34142cbfe1e732854c2a372a869891be79e1131a7cef138913556159574f10b8b08439bfefe SHA512 dee9f1f07e4f297b935c8e3fbe798471f449f6a101d68131db23d24ccfb5ce445cc3b0e7305606d3630443a817aa75a27093109078735168a59d21614606f0a0
diff --git a/dev-python/hidapi/hidapi-0.10.1.ebuild b/dev-python/hidapi/hidapi-0.10.1.ebuild
deleted file mode 100644
index 43164baec..000000000
--- a/dev-python/hidapi/hidapi-0.10.1.ebuild
+++ /dev/null
@@ -1,31 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{8..10} pypy3 )
-DISTUTILS_USE_SETUPTOOLS="rdepend"
-inherit distutils-r1
-
-DESCRIPTION="A Cython interface to the hidapi"
-HOMEPAGE="https://github.com/trezor/cython-hidapi"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="|| ( BSD GPL-3 )"
-KEYWORDS="~amd64 ~arm ~arm64 ~x86"
-SLOT="0"
-
-DEPEND="
- dev-python/cython[${PYTHON_USEDEP}]
- dev-libs/hidapi
-"
-RDEPEND="${DEPEND}"
-
-distutils_enable_tests pytest
-python_configure_all() {
- DISTUTILS_ARGS=( --with-system-hidapi )
-}
-
-python_test() {
- epytest tests.py
-}
^ permalink raw reply related [flat|nested] 7+ messages in thread
end of thread, other threads:[~2022-07-05 7:14 UTC | newest]
Thread overview: 7+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2020-08-03 14:51 [gentoo-commits] repo/proj/guru:dev commit in: dev-python/hidapi/ Andrew Ammerlaan
2020-08-03 15:08 ` [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
-- strict thread matches above, loose matches on Subject: below --
2020-12-09 14:14 Andrew Ammerlaan
2021-12-08 11:38 Andrew Ammerlaan
2022-07-05 7:14 Florian Schmaus
2022-07-05 7:14 Florian Schmaus
2022-07-05 7:14 Florian Schmaus
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox